Skip to content
v1.0.0
OpenAPI 3.0.0

Stripo Email Template API

Stripo provides access to a variety of email templates that you can use based on your subscription plan. If you have registered your account and integrated your plugin application, you can access these templates.

After making the initial request to get an array of the available templates, you will need to make individual calls for each template to retrieve its HTML and CSS.

Server:https://my.stripo.email/bapi/plugin-templates
No authentication selected
Client Libraries

Methods

​

Get Templates

​

Get templates matching the specified search criteria.

Query Parameters

  • Specifies the variety of templates to be returned.

  • Defines how the templates are sorted in response.

  • Regulates how many items should be returned per page (suggested limit of no more than 50).

  • Defines the number of the page.

  • Filters templates that specifically pertain to relevant categories.

  • Restricts the selection of templates to those associated with seasonal events categories.

  • Ensures that only templates related to specific feature categories are retrieved.

  • Narrows down template selection to include only those featuring industry-specific categories.

Responses

  • A list of templates matching the search criteria.

    • Properties: 11
    • Integer numbers.

    application/json
Request Example for get/v1/templates
curl 'https://my.stripo.email/bapi/plugin-templates/v1/templates?type=BASIC&sort=ACTUAL' \
  --header 'ES-PLUGIN-AUTH: YOUR_SECRET_TOKEN'
{
  "total": 1,
  "data": [
    {
      "templateId": 1,
      "name": "string",
      "logo": "string",
      "premium": true,
      "hasAmp": true,
      "updatedAt": 1,
      "createdTime": 1,
      "templateTypes": [
        {
          "id": 1,
          "name": "string"
        }
      ],
      "templateSeasons": [
        {
          "id": 1,
          "name": "string"
        }
      ],
      "templateFeatures": [
        {
          "id": 1,
          "name": "string"
        }
      ],
      "templateIndustries": [
        {
          "id": 1,
          "name": "string"
        }
      ]
    }
  ]
}

Get Template Details

​

Get the metadata, HTML, and CSS code for a specific template by ID.

Path Parameters

  • Integer numbers.

Responses

  • Metadata, HTML, and CSS code for the specified template.

    • Integer numbers.

    • Properties: 2
    • Integer numbers.

    • Properties: 2
    • Properties: 2
    • Properties: 2
    • Integer numbers.

    application/json
Request Example for get/v1/templates/{templateId}
curl https://my.stripo.email/bapi/plugin-templates/v1/templates/1 \
  --header 'ES-PLUGIN-AUTH: YOUR_SECRET_TOKEN'
{
  "templateId": 1,
  "name": "string",
  "logo": "string",
  "premium": true,
  "hasAmp": true,
  "updatedAt": 1,
  "createdTime": 1,
  "templateTypes": [
    {
      "id": 1,
      "name": "string"
    }
  ],
  "templateSeasons": [
    {
      "id": 1,
      "name": "string"
    }
  ],
  "templateFeatures": [
    {
      "id": 1,
      "name": "string"
    }
  ],
  "templateIndustries": [
    {
      "id": 1,
      "name": "string"
    }
  ],
  "html": "string",
  "css": "string"
}

Get Template Types

​

Get available values for the templateTypes parameter.

Responses

  • Array of available values for the templateTypes parameter.

    • Integer numbers.

    application/json
Request Example for get/v1/templates/types
curl https://my.stripo.email/bapi/plugin-templates/v1/templates/types \
  --header 'ES-PLUGIN-AUTH: YOUR_SECRET_TOKEN'
[
  {
    "id": 1,
    "name": "string"
  }
]

Get Template Seasons

​

Get available values for the templateSeasons parameter.

Responses

  • Array of available values for the templateSeasons parameter.

    • Integer numbers.

    application/json
Request Example for get/v1/templates/seasons
curl https://my.stripo.email/bapi/plugin-templates/v1/templates/seasons \
  --header 'ES-PLUGIN-AUTH: YOUR_SECRET_TOKEN'
[
  {
    "id": 1,
    "name": "string"
  }
]

Get Template Features

​

Get available values for the templateFeatures parameter.

Responses

  • Array of available values for the templateFeatures parameter.

    • Integer numbers.

    application/json
Request Example for get/v1/templates/features
curl https://my.stripo.email/bapi/plugin-templates/v1/templates/features \
  --header 'ES-PLUGIN-AUTH: YOUR_SECRET_TOKEN'
[
  {
    "id": 1,
    "name": "string"
  }
]

Get Template Industries

​

Get available values for the templateIndustries parameter.

Responses

  • Array of available values for the templateIndustries parameter.

    • Integer numbers.

    application/json
Request Example for get/v1/templates/industries
curl https://my.stripo.email/bapi/plugin-templates/v1/templates/industries \
  --header 'ES-PLUGIN-AUTH: YOUR_SECRET_TOKEN'
[
  {
    "id": 1,
    "name": "string"
  }
]